import os, logging
import coloredlogs

from rag_system.vectordb.azure_search import delete_documents


logger: logging.Logger = logging.getLogger("clear_index")
coloredlogs.install(level="DEBUG")


def main():
    company = os.getenv("CRAWLER_COMPANY_NAME")
    delete_documents(filters=f"search.in(company, '{company}')")


if __name__ == "__main__":
    main()
